package com.huimv.environ.eco.controller;


import com.huimv.common.utils.Result;
import com.huimv.environ.eco.service.ISysMonthWaterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-12
 */
@RestController
@RequestMapping("/monthWater")
public class SysMonthWaterController {

    @Autowired
    private ISysMonthWaterService monthWaterService;

    @GetMapping("/getAllDayWater")
    public Result getAllDayWater(@RequestParam(name = "farmId") Integer farmId){
        return  monthWaterService.getAllDayWater(farmId);
    }

}
