package com.huimv.environ.eco.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.environ.eco.entity.BaseRoom;
import com.huimv.environ.eco.entity.dto.AllDayWater;
import com.huimv.environ.eco.entity.dto.AllRoomEnvironment;
import com.huimv.environ.eco.entity.dto.AllWaterEnvPowerApp;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-11
 */
@Repository
public interface BaseRoomMapper extends BaseMapper<BaseRoom> {

    List<AllRoomEnvironment> getAllRoomEnvironment(@Param("farmId") Integer farmId);

    List<AllDayWater> getAllDayWater(@Param("farmId") Integer farmId);

    List<AllWaterEnvPowerApp> listAllWaterEnvPowerApp(@Param(Constants.WRAPPER) QueryWrapper<BaseRoom> wrapper);

    void setS();
}
