package com.huimv.produce.warning.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class SysThreshold extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "farm_id")
    private Integer farmId;

    /**
     * 高温
     */
    private String maxTem;

    /**
     * 低温
     */
    private String minTem;

    /**
     * 高湿度
     */
    private String maxHum;

    /**
     * 低湿度
     */
    private String minHum;

    /*
     *烘干高温报警阈值
     */
    private String dryTem;
    //阈值
    /*烘干持续时长报警阈值
     *
     */
    private String dryMin;

    private String dryDuration;

    private String dryNormalTemp;

}
