package com.huimv.video.dhicc.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 * 这个实体类里面存三种信息   ICC抓拍的周界事件    ICC抓拍的过车照片和信息   ICC抓拍的
 *
 * @author astupidcoder
 * @since 2021-12-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class IccEventRecord extends Model {


    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    //事件的ID
    private Integer eventId;

    @TableField("alarmStat")
    private Integer alarmStat;

    //类型要的
    @TableField("alarmTypeName")
    private String alarmTypeName;

    //日期用这个
    @TableField("alarmDate")
    private LocalDateTime alarmDate;

    @TableField("handleStat")
    private Integer handleStat;

    @TableField("alarmCode")
    private String alarmCode;

    @TableField("orgName")
    private String orgName;

    @TableField("alarmPosition")
    private Integer alarmPosition;

    @TableField("linkNames")
    private String linkNames;

    @TableField("alarmGrade")
    private Integer alarmGrade;

    @TableField("nodeCode")
    private String nodeCode;

    @TableField("alarmType")
    private Integer alarmType;

    @TableField("isEvent")
    private Integer isEvent;

    @TableField("alarmPicture")
    private String alarmPicture;

    @TableField("deviceCategory")
    private Integer deviceCategory;

    @TableField("orgCode")
    private String orgCode;

    @TableField("taskWebName")
    private String taskWebName;

    @TableField("alarmWebUrl")
    private String alarmWebUrl;

    @TableField("alarmAppUrl")
    private String alarmAppUrl;

    @TableField("taskWebUrl")
    private String taskWebUrl;

    @TableField("taskAppUrl")
    private String taskAppUrl;

    private Integer handel;


}
