package com.huimv.video.dhicc.test.user;


import com.huimv.video.dhicc.test.config.OauthConfigBaseInfo;
import com.huimv.video.dhicc.test.config.OauthConfigUserPwdInfoTest01;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 用户名密码模式全局配置类，测试时需改为自己的配置信息，可在此进行修改
 */
@Configuration
public class UserPasswordConfigInfoTest01 {
    //主机地址 默认是联调环境
    private static String host = "36.26.62.70";
    //用户名
    private static String username = "system";
    //密码
    private static String password = "admin123.";
    //客户端id
    private static String clientId = "huimv";
    //客户端秘钥
    private static String clientSecret = "1653d6c9-c611-4827-ac87-0bfd48deadd4";
    //https端口
    private static String https = "447";//https 默认端口443，做了内外网映射 9021
    //http端口
    private static String http = "83";//http http调试模式端口默认是83，未作外网映射，此环境不支持83端口调试
    //http请求协议 是否开启http调试模式，开启需登录运维中心 系统管理-》安全设置-》调试模式 开启；开启后端口是固定83端口
    private static boolean isEnableHttpTest = false;

    @Bean
    public OauthConfigBaseInfo getOauthConfigBaseInfoInstance01(){
        return new OauthConfigUserPwdInfoTest01(host,clientId,clientSecret,username,password,isEnableHttpTest,https,http);
    }
}
